---

 25-akpm/arch/ppc/kernel/misc.S     |    4 +++-
 25-akpm/arch/ppc64/kernel/misc.S   |    8 ++++++--
 25-akpm/include/asm-ppc/unistd.h   |    6 ++++--
 25-akpm/include/asm-ppc64/unistd.h |    6 ++++--
 4 files changed, 17 insertions(+), 7 deletions(-)

diff -puN arch/ppc64/kernel/misc.S~remap-file-pages-prot-ppc64-more arch/ppc64/kernel/misc.S
--- 25/arch/ppc64/kernel/misc.S~remap-file-pages-prot-ppc64-more	Mon Mar 22 15:01:37 2004
+++ 25-akpm/arch/ppc64/kernel/misc.S	Mon Mar 22 15:02:29 2004
@@ -811,7 +811,7 @@ _GLOBAL(sys_call_table32)
 	.llong .sys_epoll_create
 	.llong .sys_epoll_ctl
 	.llong .sys_epoll_wait
-	.llong .sys_remap_file_pages
+	.llong .old_remap_file_pages
 	.llong .ppc32_timer_create	/* 240 */
 	.llong .compat_timer_settime
 	.llong .compat_timer_gettime
@@ -828,6 +828,8 @@ _GLOBAL(sys_call_table32)
 	.llong .compat_fstatfs64
 	.llong .ppc32_fadvise64_64	/* 32bit only fadvise64_64 */
 	.llong .ppc_rtas		/* 255 */
+	.llong .sys_ni_syscall		/* sys_debug_setcontext */
+	.llong .sys_remap_file_pages
 
 	.balign 8
 _GLOBAL(sys_call_table)
@@ -1070,7 +1072,7 @@ _GLOBAL(sys_call_table)
 	.llong .sys_epoll_create
 	.llong .sys_epoll_ctl
 	.llong .sys_epoll_wait
-	.llong .sys_remap_file_pages
+	.llong .old_remap_file_pages
 	.llong .sys_timer_create	/* 240 */
 	.llong .sys_timer_settime
 	.llong .sys_timer_gettime
@@ -1087,3 +1089,5 @@ _GLOBAL(sys_call_table)
 	.llong .sys_fstatfs64
 	.llong .sys_ni_syscall		/* 32bit only fadvise64_64 */
 	.llong .ppc_rtas		/* 255 */
+	.llong .sys_ni_syscall		/* sys_debug_setcontext */
+	.llong .sys_remap_file_pages
diff -puN include/asm-ppc64/unistd.h~remap-file-pages-prot-ppc64-more include/asm-ppc64/unistd.h
--- 25/include/asm-ppc64/unistd.h~remap-file-pages-prot-ppc64-more	Mon Mar 22 15:01:37 2004
+++ 25-akpm/include/asm-ppc64/unistd.h	Mon Mar 22 15:02:55 2004
@@ -249,7 +249,7 @@
 #define __NR_epoll_create	236
 #define __NR_epoll_ctl		237
 #define __NR_epoll_wait		238
-#define __NR_remap_file_pages	239
+#define __NR_old_remap_file_pages 239
 #define __NR_timer_create	240
 #define __NR_timer_settime	241
 #define __NR_timer_gettime	242
@@ -266,8 +266,10 @@
 #define __NR_fstatfs64		253
 #define __NR_fadvise64_64	254
 #define __NR_rtas		255
+#define __NR_set_debug_context	256
+#define __NR_remap_file_pages	257
 
-#define __NR_syscalls		256
+#define __NR_syscalls		258
 #ifdef __KERNEL__
 #define NR_syscalls	__NR_syscalls
 #endif
diff -puN arch/ppc/kernel/misc.S~remap-file-pages-prot-ppc64-more arch/ppc/kernel/misc.S
--- 25/arch/ppc/kernel/misc.S~remap-file-pages-prot-ppc64-more	Mon Mar 22 15:01:37 2004
+++ 25-akpm/arch/ppc/kernel/misc.S	Mon Mar 22 15:03:17 2004
@@ -1353,7 +1353,7 @@ _GLOBAL(sys_call_table)
 	.long sys_epoll_create
 	.long sys_epoll_ctl
 	.long sys_epoll_wait
-	.long sys_remap_file_pages
+	.long old_remap_file_pages
 	.long sys_timer_create	/* 240 */
 	.long sys_timer_settime
 	.long sys_timer_gettime
@@ -1370,3 +1370,5 @@ _GLOBAL(sys_call_table)
 	.long sys_fstatfs64
 	.long ppc_fadvise64_64
 	.long sys_ni_syscall	/* 255 - rtas (used on ppc64) */
+	.long sys_ni_syscall	/* sys_set_debug_context */
+	.long sys_remap_file_pages
diff -puN include/asm-ppc/unistd.h~remap-file-pages-prot-ppc64-more include/asm-ppc/unistd.h
--- 25/include/asm-ppc/unistd.h~remap-file-pages-prot-ppc64-more	Mon Mar 22 15:01:37 2004
+++ 25-akpm/include/asm-ppc/unistd.h	Mon Mar 22 15:03:37 2004
@@ -243,7 +243,7 @@
 #define __NR_epoll_create	236
 #define __NR_epoll_ctl		237
 #define __NR_epoll_wait		238
-#define __NR_remap_file_pages	239
+#define __NR_old_remap_file_pages 239
 #define __NR_timer_create	240
 #define __NR_timer_settime	241
 #define __NR_timer_gettime	242
@@ -260,8 +260,10 @@
 #define __NR_fstatfs64		253
 #define __NR_fadvise64_64	254
 #define __NR_rtas		255
+#define __NR_set_debug_context	256
+#define __NR_remap_file_pages	257
 
-#define __NR_syscalls		256
+#define __NR_syscalls		258
 
 #define __NR(n)	#n
 

_
